<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Grenade_Base/Grenade_ChemGas.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d5a/_grenade___chem_gas_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Grenade_ChemGas.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/d5a/_grenade___chem_gas_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../da/dd4/class_grenade___chem_gas.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/dd4/class_grenade___chem_gas.html">Grenade_ChemGas</a> : <a class="code hl_class" href="../../d1/d48/class_grenade___base.html">Grenade_Base</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../da/dd4/class_grenade___chem_gas.html#a9ae360b3132cc6653ba38013ad1ec180">    3</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span>                  <a class="code hl_variable" href="../../da/dd4/class_grenade___chem_gas.html#a9ae360b3132cc6653ba38013ad1ec180">m_Exploded</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../da/dd4/class_grenade___chem_gas.html#a686fb061e8cc2c22b54e484f39d67645">    4</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../de/d38/class_particle_source.html">ParticleSource</a>        <a class="code hl_variable" href="../../da/dd4/class_grenade___chem_gas.html#a686fb061e8cc2c22b54e484f39d67645">m_ParticleExploded</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../da/dd4/class_grenade___chem_gas.html#ad7cd29a3f88813319b92e5735dee8ef1">    5</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d89/class_effect_sound.html">EffectSound</a>           <a class="code hl_variable" href="../../da/dd4/class_grenade___chem_gas.html#ad7cd29a3f88813319b92e5735dee8ef1">m_ExplosionSound</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../da/dd4/class_grenade___chem_gas.html#ac46bbda4cf2556ee32866d1923036b21">    8</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dd4/class_grenade___chem_gas.html#ac46bbda4cf2556ee32866d1923036b21">Grenade_ChemGas</a>()</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#a7c2b945ed7403ef829ab89abfddb8714">SetParticleExplosion</a>(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a23f6371a4db56b06972b9015487616b4">RGD5</a>);</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_function" href="../../d1/d48/class_grenade___base.html#a7b01bb40742122b3e4ce77c808687c26">SetGrenadeType</a>(<a class="code hl_enumeration" href="../../d8/da7/_grenade___base_8c.html#a497ffefd024532deb5ec5dcabf022a31">EGrenadeType</a>.CHEMICAL);</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_variable" href="../../d1/d48/class_grenade___base.html#a1760c2637245dbba092532be54731d7b">m_Pinned</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_function" href="../../d1/d48/class_grenade___base.html#a7d0b19fcd1f0370e0eb74af553684155">SetPinnable</a>(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_function" href="../../d0/d0a/_explosives_base_8c.html#ac4cc6602780ad6cab3ca4b2b7852a78d">Arm</a>();</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    }</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../da/dd4/class_grenade___chem_gas.html#add976774cdcfaaa8ccf7de2cb4a4da12">   17</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dd4/class_grenade___chem_gas.html#add976774cdcfaaa8ccf7de2cb4a4da12">~Grenade_ChemGas</a>();</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../da/dd4/class_grenade___chem_gas.html#aab90ef17788cc31a13d771ba736f8255">   19</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dd4/class_grenade___chem_gas.html#aab90ef17788cc31a13d771ba736f8255">OnExplode</a>()</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../da/dd4/class_grenade___chem_gas.html#a9ae360b3132cc6653ba38013ad1ec180">m_Exploded</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer())</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a38f34228a593967526046a3de98b5920">CreateObject</a>(<span class="stringliteral">&quot;ContaminatedArea_Local&quot;</span>, <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>());</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../da/dd4/class_grenade___chem_gas.html#af5799ac1bf7dc7d89cd338bda95826ef">   29</a></span>    <span class="keyword">protected</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/dd4/class_grenade___chem_gas.html#af5799ac1bf7dc7d89cd338bda95826ef">GetExplosionSoundSet</a>()</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;Grenade_detonation_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../da/dd4/class_grenade___chem_gas.html#a6479d2eaa1686615751789909006d17a">   34</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dd4/class_grenade___chem_gas.html#a6479d2eaa1686615751789909006d17a">EOnContact</a>(<a class="code hl_class" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> <a class="code hl_variable" href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a>, <a class="code hl_class" href="../../d8/d4e/group___constraints.html#dd/d2a/class_contact">Contact</a> extra)</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        super.EOnContact(<a class="code hl_variable" href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a>, extra);</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer())</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>            <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../da/dd4/class_grenade___chem_gas.html#a9ae360b3132cc6653ba38013ad1ec180">m_Exploded</a>)</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>                <a class="code hl_function" href="../../d1/d48/class_grenade___base.html#a4a93434bb84b104acf5837772f8d0a52">OnActivateFinished</a>();</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../da/dd4/class_grenade___chem_gas.html#a256dd9b97e2b46d3b5760954433ea718">   47</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dd4/class_grenade___chem_gas.html#a256dd9b97e2b46d3b5760954433ea718">EEKilled</a>(<a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> killer)</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        super.EEKilled(killer);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../da/dd4/class_grenade___chem_gas.html#ae4d787797366b7fd1fb2feb698235fd9">   52</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dd4/class_grenade___chem_gas.html#ae4d787797366b7fd1fb2feb698235fd9">OnDamageDestroyed</a>(<span class="keywordtype">int</span> oldLevel)</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() || !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer())</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a53af342998a36596f46c4e67a2517f4e">GetCallQueue</a>(<a class="code hl_variable" href="../../d9/dc3/group___tools.html#gaaf491f3ecd1d9aefb35a16bf96ca420c">CALL_CATEGORY_SYSTEM</a>).<a class="code hl_function" href="../../dc/dac/class_script_call_queue.html#abe764b22b6eee91d169f3f5996fe0c3d">CallLater</a>(<a class="code hl_function" href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a3410e40abb43d2e9de4813b76776279b">Delete</a>, 1000);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span><span class="preprocessor">        #ifndef SERVER</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#gae83a3718943bc7d5e836eaa539af8b64">ClearFlags</a>(<a class="code hl_enumeration" href="../../d3/d14/group___entity_attributes.html#gacda3452546886b2b713c62c4a07fd52a">EntityFlags</a>.VISIBLE, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_variable" href="../../da/dd4/class_grenade___chem_gas.html#a686fb061e8cc2c22b54e484f39d67645">m_ParticleExploded</a> = <a class="code hl_function" href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a>.GetInstance().PlayInWorld(<a class="code hl_class" href="../../dd/dd2/class_particle_list.html">ParticleList</a>.<a class="code hl_variable" href="../../dd/dd2/class_particle_list.html#a6e91a4cb3695d9589eae1264756e33f6">GRENADE_CHEM_BREAK</a>, <a class="code hl_function" href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>());</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <a class="code hl_function" href="../../dd/d93/_object_8c.html#ab6055bd2a22cd223ddf489b5c96b4473">PlaySoundSet</a>( <a class="code hl_variable" href="../../da/dd4/class_grenade___chem_gas.html#ad7cd29a3f88813319b92e5735dee8ef1">m_ExplosionSound</a>, <a class="code hl_function" href="../../da/dd4/class_grenade___chem_gas.html#af5799ac1bf7dc7d89cd338bda95826ef">GetExplosionSoundSet</a>(), 0, 0 );</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../da/dd4/class_grenade___chem_gas.html#a2e552c627e95335c614f349959fc6c44">   66</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/dd4/class_grenade___chem_gas.html#a2e552c627e95335c614f349959fc6c44">Activate</a>()</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="comment">//we don&#39;t want base functionality here</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>}</div>
<div class="ttc" id="a3___game_2_entities_2_entity_a_i_8c_html_a3410e40abb43d2e9de4813b76776279b"><div class="ttname"><a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c.html#a3410e40abb43d2e9de4813b76776279b">Delete</a></div><div class="ttdeci">override void Delete()</div><div class="ttdoc">Delete this object in next frame.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc2/3___game_2_entities_2_entity_a_i_8c_source.html#l00590">EntityAI.c:590</a></div></div>
<div class="ttc" id="a_car_script_8c_html_adbbef30aba7b6095441413e50771e4fd"><div class="ttname"><a href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a></div><div class="ttdeci">IEntity other</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d71/_car_script_8c_source.html#l00038">CarScript.c:38</a></div></div>
<div class="ttc" id="a_effect_8c_html_a68c83d319275347dcd1c0c4da8734703"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdoc">Get the world position of the Effect.</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00437">Effect.c:437</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_a7c2b945ed7403ef829ab89abfddb8714"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#a7c2b945ed7403ef829ab89abfddb8714">SetParticleExplosion</a></div><div class="ttdeci">void SetParticleExplosion(int particle)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00209">ExplosivesBase.c:209</a></div></div>
<div class="ttc" id="a_explosives_base_8c_html_ac4cc6602780ad6cab3ca4b2b7852a78d"><div class="ttname"><a href="../../d0/d0a/_explosives_base_8c.html#ac4cc6602780ad6cab3ca4b2b7852a78d">Arm</a></div><div class="ttdeci">void Arm()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/_explosives_base_8c_source.html#l00148">ExplosivesBase.c:148</a></div></div>
<div class="ttc" id="a_grenade___base_8c_html_a497ffefd024532deb5ec5dcabf022a31"><div class="ttname"><a href="../../d8/da7/_grenade___base_8c.html#a497ffefd024532deb5ec5dcabf022a31">EGrenadeType</a></div><div class="ttdeci">EGrenadeType</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/da7/_grenade___base_8c_source.html#l00001">Grenade_Base.c:2</a></div></div>
<div class="ttc" id="a_object_8c_html_ab6055bd2a22cd223ddf489b5c96b4473"><div class="ttname"><a href="../../dd/d93/_object_8c.html#ab6055bd2a22cd223ddf489b5c96b4473">PlaySoundSet</a></div><div class="ttdeci">bool PlaySoundSet(out EffectSound sound, string sound_set, float fade_in, float fade_out, bool loop=false)</div><div class="ttdoc">EffectSound - plays soundset on this object and returns state of the sound (true - played,...</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d93/_object_8c_source.html#l01057">Object.c:1057</a></div></div>
<div class="ttc" id="a_particle_manager_8c_html_a93ef360e8fc315d276eb8cc256dc3ef8"><div class="ttname"><a href="../../d8/d6f/_particle_manager_8c.html#a93ef360e8fc315d276eb8cc256dc3ef8">ParticleManager</a></div><div class="ttdeci">void ParticleManager(ParticleManagerSettings settings)</div><div class="ttdoc">Constructor (ctor)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d6f/_particle_manager_8c_source.html#l00084">ParticleManager.c:84</a></div></div>
<div class="ttc" id="aclass_c_game_html_a38f34228a593967526046a3de98b5920"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a38f34228a593967526046a3de98b5920">CGame::CreateObject</a></div><div class="ttdeci">proto native Object CreateObject(string type, vector pos, bool create_local=false, bool init_ai=false, bool create_physics=true)</div><div class="ttdoc">Creates object of certain type.</div></div>
<div class="ttc" id="aclass_c_game_html_a53af342998a36596f46c4e67a2517f4e"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a53af342998a36596f46c4e67a2517f4e">CGame::GetCallQueue</a></div><div class="ttdeci">ScriptCallQueue GetCallQueue(int call_category)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d6e/_global_2game_8c_source.html#l01311">Game.c:1311</a></div></div>
<div class="ttc" id="aclass_effect_sound_html"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html">EffectSound</a></div><div class="ttdoc">Wrapper class for managing sound through SEffectManager.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00004">EffectSound.c:5</a></div></div>
<div class="ttc" id="aclass_grenade___base_html"><div class="ttname"><a href="../../d1/d48/class_grenade___base.html">Grenade_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dbc/_flash_grenade_8c_source.html#l00001">FlashGrenade.c:2</a></div></div>
<div class="ttc" id="aclass_grenade___base_html_a1760c2637245dbba092532be54731d7b"><div class="ttname"><a href="../../d1/d48/class_grenade___base.html#a1760c2637245dbba092532be54731d7b">Grenade_Base::m_Pinned</a></div><div class="ttdeci">protected bool m_Pinned</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/da7/_grenade___base_8c_source.html#l00038">Grenade_Base.c:38</a></div></div>
<div class="ttc" id="aclass_grenade___base_html_a4a93434bb84b104acf5837772f8d0a52"><div class="ttname"><a href="../../d1/d48/class_grenade___base.html#a4a93434bb84b104acf5837772f8d0a52">Grenade_Base::OnActivateFinished</a></div><div class="ttdeci">protected void OnActivateFinished()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/da7/_grenade___base_8c_source.html#l00199">Grenade_Base.c:199</a></div></div>
<div class="ttc" id="aclass_grenade___base_html_a7b01bb40742122b3e4ce77c808687c26"><div class="ttname"><a href="../../d1/d48/class_grenade___base.html#a7b01bb40742122b3e4ce77c808687c26">Grenade_Base::SetGrenadeType</a></div><div class="ttdeci">void SetGrenadeType(EGrenadeType type)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/da7/_grenade___base_8c_source.html#l00112">Grenade_Base.c:112</a></div></div>
<div class="ttc" id="aclass_grenade___base_html_a7d0b19fcd1f0370e0eb74af553684155"><div class="ttname"><a href="../../d1/d48/class_grenade___base.html#a7d0b19fcd1f0370e0eb74af553684155">Grenade_Base::SetPinnable</a></div><div class="ttdeci">void SetPinnable(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/da7/_grenade___base_8c_source.html#l00102">Grenade_Base.c:102</a></div></div>
<div class="ttc" id="aclass_grenade___chem_gas_html"><div class="ttname"><a href="../../da/dd4/class_grenade___chem_gas.html">Grenade_ChemGas</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d5a/_grenade___chem_gas_8c_source.html#l00001">Grenade_ChemGas.c:2</a></div></div>
<div class="ttc" id="aclass_grenade___chem_gas_html_a256dd9b97e2b46d3b5760954433ea718"><div class="ttname"><a href="../../da/dd4/class_grenade___chem_gas.html#a256dd9b97e2b46d3b5760954433ea718">Grenade_ChemGas::EEKilled</a></div><div class="ttdeci">override void EEKilled(Object killer)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d5a/_grenade___chem_gas_8c_source.html#l00047">Grenade_ChemGas.c:47</a></div></div>
<div class="ttc" id="aclass_grenade___chem_gas_html_a2e552c627e95335c614f349959fc6c44"><div class="ttname"><a href="../../da/dd4/class_grenade___chem_gas.html#a2e552c627e95335c614f349959fc6c44">Grenade_ChemGas::Activate</a></div><div class="ttdeci">override protected void Activate()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d5a/_grenade___chem_gas_8c_source.html#l00066">Grenade_ChemGas.c:66</a></div></div>
<div class="ttc" id="aclass_grenade___chem_gas_html_a6479d2eaa1686615751789909006d17a"><div class="ttname"><a href="../../da/dd4/class_grenade___chem_gas.html#a6479d2eaa1686615751789909006d17a">Grenade_ChemGas::EOnContact</a></div><div class="ttdeci">override void EOnContact(IEntity other, Contact extra)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d5a/_grenade___chem_gas_8c_source.html#l00034">Grenade_ChemGas.c:34</a></div></div>
<div class="ttc" id="aclass_grenade___chem_gas_html_a686fb061e8cc2c22b54e484f39d67645"><div class="ttname"><a href="../../da/dd4/class_grenade___chem_gas.html#a686fb061e8cc2c22b54e484f39d67645">Grenade_ChemGas::m_ParticleExploded</a></div><div class="ttdeci">protected ParticleSource m_ParticleExploded</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d5a/_grenade___chem_gas_8c_source.html#l00004">Grenade_ChemGas.c:4</a></div></div>
<div class="ttc" id="aclass_grenade___chem_gas_html_a9ae360b3132cc6653ba38013ad1ec180"><div class="ttname"><a href="../../da/dd4/class_grenade___chem_gas.html#a9ae360b3132cc6653ba38013ad1ec180">Grenade_ChemGas::m_Exploded</a></div><div class="ttdeci">protected bool m_Exploded</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d5a/_grenade___chem_gas_8c_source.html#l00003">Grenade_ChemGas.c:3</a></div></div>
<div class="ttc" id="aclass_grenade___chem_gas_html_aab90ef17788cc31a13d771ba736f8255"><div class="ttname"><a href="../../da/dd4/class_grenade___chem_gas.html#aab90ef17788cc31a13d771ba736f8255">Grenade_ChemGas::OnExplode</a></div><div class="ttdeci">override protected void OnExplode()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d5a/_grenade___chem_gas_8c_source.html#l00019">Grenade_ChemGas.c:19</a></div></div>
<div class="ttc" id="aclass_grenade___chem_gas_html_ac46bbda4cf2556ee32866d1923036b21"><div class="ttname"><a href="../../da/dd4/class_grenade___chem_gas.html#ac46bbda4cf2556ee32866d1923036b21">Grenade_ChemGas::Grenade_ChemGas</a></div><div class="ttdeci">void Grenade_ChemGas()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d5a/_grenade___chem_gas_8c_source.html#l00008">Grenade_ChemGas.c:8</a></div></div>
<div class="ttc" id="aclass_grenade___chem_gas_html_ad7cd29a3f88813319b92e5735dee8ef1"><div class="ttname"><a href="../../da/dd4/class_grenade___chem_gas.html#ad7cd29a3f88813319b92e5735dee8ef1">Grenade_ChemGas::m_ExplosionSound</a></div><div class="ttdeci">protected EffectSound m_ExplosionSound</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d5a/_grenade___chem_gas_8c_source.html#l00005">Grenade_ChemGas.c:5</a></div></div>
<div class="ttc" id="aclass_grenade___chem_gas_html_add976774cdcfaaa8ccf7de2cb4a4da12"><div class="ttname"><a href="../../da/dd4/class_grenade___chem_gas.html#add976774cdcfaaa8ccf7de2cb4a4da12">Grenade_ChemGas::~Grenade_ChemGas</a></div><div class="ttdeci">void ~Grenade_ChemGas()</div></div>
<div class="ttc" id="aclass_grenade___chem_gas_html_ae4d787797366b7fd1fb2feb698235fd9"><div class="ttname"><a href="../../da/dd4/class_grenade___chem_gas.html#ae4d787797366b7fd1fb2feb698235fd9">Grenade_ChemGas::OnDamageDestroyed</a></div><div class="ttdeci">override void OnDamageDestroyed(int oldLevel)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d5a/_grenade___chem_gas_8c_source.html#l00052">Grenade_ChemGas.c:52</a></div></div>
<div class="ttc" id="aclass_grenade___chem_gas_html_af5799ac1bf7dc7d89cd338bda95826ef"><div class="ttname"><a href="../../da/dd4/class_grenade___chem_gas.html#af5799ac1bf7dc7d89cd338bda95826ef">Grenade_ChemGas::GetExplosionSoundSet</a></div><div class="ttdeci">protected string GetExplosionSoundSet()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d5a/_grenade___chem_gas_8c_source.html#l00029">Grenade_ChemGas.c:29</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_particle_list_html"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html">ParticleList</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00011">ParticleList.c:12</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a23f6371a4db56b06972b9015487616b4"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a23f6371a4db56b06972b9015487616b4">ParticleList::RGD5</a></div><div class="ttdeci">static const int RGD5</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00130">ParticleList.c:130</a></div></div>
<div class="ttc" id="aclass_particle_list_html_a6e91a4cb3695d9589eae1264756e33f6"><div class="ttname"><a href="../../dd/dd2/class_particle_list.html#a6e91a4cb3695d9589eae1264756e33f6">ParticleList::GRENADE_CHEM_BREAK</a></div><div class="ttdeci">static const int GRENADE_CHEM_BREAK</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d4f/_particle_list_8c_source.html#l00295">ParticleList.c:295</a></div></div>
<div class="ttc" id="aclass_particle_source_html"><div class="ttname"><a href="../../de/d38/class_particle_source.html">ParticleSource</a></div><div class="ttdoc">Entity which has the particle instance as an ObjectComponent.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d75/_particle_source_8c_source.html#l00123">ParticleSource.c:124</a></div></div>
<div class="ttc" id="aclass_script_call_queue_html_abe764b22b6eee91d169f3f5996fe0c3d"><div class="ttname"><a href="../../dc/dac/class_script_call_queue.html#abe764b22b6eee91d169f3f5996fe0c3d">ScriptCallQueue::CallLater</a></div><div class="ttdeci">proto void CallLater(func fn, int delay=0, bool repeat=false, void param1=NULL, void param2=NULL, void param3=NULL, void param4=NULL, void param5=NULL, void param6=NULL, void param7=NULL, void param8=NULL, void param9=NULL)</div><div class="ttdoc">adds call into the queue with given parameters and arguments (arguments are held in memory until the ...</div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___constraints_html_dd/d2a/class_contact"><div class="ttname"><a href="../../d8/d4e/group___constraints.html#dd/d2a/class_contact">Contact</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d13/_en_physics_8c_source.html#l00296">EnPhysics.c:297</a></div></div>
<div class="ttc" id="agroup___entity_attributes_html_dc/da9/class_i_entity"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00164">EnEntity.c:165</a></div></div>
<div class="ttc" id="agroup___entity_attributes_html_gacda3452546886b2b713c62c4a07fd52a"><div class="ttname"><a href="../../d3/d14/group___entity_attributes.html#gacda3452546886b2b713c62c4a07fd52a">EntityFlags</a></div><div class="ttdeci">EntityFlags</div><div class="ttdoc">Entity flags.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd5/_en_entity_8c_source.html#l00114">EnEntity.c:115</a></div></div>
<div class="ttc" id="agroup___tools_html_gaaf491f3ecd1d9aefb35a16bf96ca420c"><div class="ttname"><a href="../../d9/dc3/group___tools.html#gaaf491f3ecd1d9aefb35a16bf96ca420c">CALL_CATEGORY_SYSTEM</a></div><div class="ttdeci">const int CALL_CATEGORY_SYSTEM</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00008">tools.c:8</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_gae83a3718943bc7d5e836eaa539af8b64"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#gae83a3718943bc7d5e836eaa539af8b64">ClearFlags</a></div><div class="ttdeci">proto native int ClearFlags(int flags, bool immedUpdate=true)</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_806847d5bba5024497719a5baaa9b4a0.html">Grenade_Base</a></li><li class="navelem"><a class="el" href="../../da/d5a/_grenade___chem_gas_8c.html">Grenade_ChemGas.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
